#!/usr/bin/env python

#
#Copyrigt (c) 2008
#		Matt Smith <melkor@orangepalantir.org>
#
#This file is part of GraphCutie,This file is part of Foobar.
#
#GraphCutie is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.
#
#GraphCutie is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with GraphCutie, in the file COPYING.  
#If not, see <http://www.gnu.org/licenses/>.
#
#GraphCutie uses both python and PyQT, GPL version.  The copyright notices
#can be found in copyright_notice.txt


""" This holds the menu bar and starts the central widget.  It also leaves areas for improvement with communications and possibly making tabs dockable.
"""
import sys,os,time

PATHNAME = os.path.dirname(__file__)
if PATHNAME.find('library.zip')>0:
	PATHNAME = PATHNAME[:PATHNAME.find('library.zip')]

try:
	from PyQt4 import QtGui,QtCore,QtSvg
except:
	print "you need PyQt4 to use this application as a python script"
from Central import CentralWindow
from menu import MyMenu

class MainWindow(QtGui.QMainWindow):
	"""This is my main window for my email client."""
	def __init__(self,calc,svgplot,parent=None):
		QtGui.QMainWindow.__init__(self,parent)
		Menu = MyMenu()
		self.setMenuWidget(Menu)
		self.setGeometry(150,150,800,600)
		self.setWindowTitle("PyCalc Graphing Calculator")
		self.setCentralWidget(CentralWindow(calc,svgplot,self))
		nicon = QtGui.QIcon(os.path.join(PATHNAME,'icon.png'))
		self.setWindowIcon(nicon)
		
	def closeEvent(self, event):
		QtGui.QApplication.quit()
		event.accept()